summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJörg Mayer <jmayer@loplof.de>2003-01-22 00:19:00 +0000
committerJörg Mayer <jmayer@loplof.de>2003-01-22 00:19:00 +0000
commit4c50ff909d156ecc024cff1e1c519f7e169faefc (patch)
tree58ec4b3e9f6d588499c85992cfe83cd32e44aac9
parent2b78e3931d987bbf018c493aa9b96b2a3d137bc5 (diff)
downloadwireshark-4c50ff909d156ecc024cff1e1c519f7e169faefc.tar.gz
aclocal-flags, autogen.sh:
- Fix handling of aclocal include flags for aclocal-include autogen.sh: - Name version variables individually - Disable configure at end of autogen.sh svn path=/trunk/; revision=6965
-rwxr-xr-xaclocal-flags8
-rwxr-xr-xautogen.sh24
2 files changed, 17 insertions, 15 deletions
diff --git a/aclocal-flags b/aclocal-flags
index ba3a519033..fdf750da8f 100755
--- a/aclocal-flags
+++ b/aclocal-flags
@@ -21,7 +21,7 @@
# "aclocal" will look in that directory twice, and get well and truly
# confused, reporting a ton of duplicate macro definitions.)
#
-# $Id: aclocal-flags,v 1.4 2002/03/06 06:36:22 itojun Exp $
+# $Id: aclocal-flags,v 1.5 2003/01/22 00:19:00 jmayer Exp $
#
#
@@ -41,6 +41,9 @@ else
gtk_aclocal_dir=$gtk_prefix/share/aclocal
fi
+ac_missing_dir=`dirname $0`
+echo -n "-I $ac_missing_dir/aclocal-missing"
+
#
# If there's no "aclocal", the former will be empty; if there's no
# "gtk-config", the latter will be empty.
@@ -51,6 +54,7 @@ fi
if [ ! -z "$aclocal_dir" -a ! -z "$gtk_aclocal_dir" \
-a "$aclocal_dir" != "$gtk_aclocal_dir" ]
then
- echo "-I $gtk_aclocal_dir"
+ echo -n " $gtk_aclocal_dir"
fi
+echo
exit 0
diff --git a/autogen.sh b/autogen.sh
index b082d32ed2..7bf6a93fa1 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -2,7 +2,7 @@
#
# Run this to generate all the initial makefiles.
#
-# $Id: autogen.sh,v 1.21 2002/09/27 02:55:00 gerald Exp $
+# $Id: autogen.sh,v 1.22 2003/01/22 00:19:00 jmayer Exp $
DIE=true
PROJECT="Ethereal"
@@ -21,8 +21,8 @@ _EOF_
fi
-VER=`autoconf --version | grep '^autoconf' | sed 's/.*)//'`
-case "$VER" in
+ACVER=`autoconf --version | grep '^autoconf' | sed 's/.*)//'`
+case "$ACVER" in
0* | 1\.* | 2\.[0-9] | 2\.[0-9][a-z]* | \
2\.1[0-2] | 2\.1[0-2][a-z]* )
cat >&2 <<_EOF_
@@ -36,8 +36,8 @@ _EOF_
esac
-VER=`automake --version | grep '^automake' | sed 's/.*)//'`
-case "$VER" in
+AMVER=`automake --version | grep '^automake' | sed 's/.*)//'`
+case "$AMVER" in
0* | 1\.[0-3] | 1\.[0-3][a-z]* )
cat >&2 <<_EOF_
@@ -51,9 +51,9 @@ _EOF_
esac
-VER=`libtool --version | grep ' libtool)' | \
+LTVER=`libtool --version | grep ' libtool)' | \
sed 's/.*) \([0-9][0-9.]*\) .*/\1/' `
-case "$VER" in
+case "$LTVER" in
0* | 1\.[0-2] | 1\.[0-2][a-z]* | \
1\.3\.[0-2] | 1\.3\.[0-2][a-z]* )
@@ -87,8 +87,6 @@ if test -z "$*"; then
echo "please specify them on the $0 command line."
fi
-aclocal_flags="`./aclocal-flags`"
-
if glib-config --version >/dev/null 2>&1 ; then
rm -f aclocal-missing/glib.m4
else
@@ -119,8 +117,8 @@ for dir in . epan wiretap ; do
else
topdir=..
fi
- aclocal_missing="-I $topdir/aclocal-missing"
- aclocalinclude="$ACLOCAL_FLAGS $aclocal_flags $aclocal_missing";
+ aclocal_flags=`$topdir/aclocal-flags`
+ aclocalinclude="$ACLOCAL_FLAGS $aclocal_flags";
echo aclocal $aclocalinclude
aclocal $aclocalinclude || exit 1
echo autoheader
@@ -132,7 +130,7 @@ for dir in . epan wiretap ; do
) || exit 1
done
-./configure "$@" || exit 1
+#./configure "$@" || exit 1
echo
-echo "Now type 'make' to compile $PROJECT."
+echo "Now type \"./configure [options]\" and \"make\" to compile $PROJECT."